<div class="btnAcrossPageName">
  <mb-button mbButtonType='BORDER' mbButtonAvailableStyle='ADD_NEW'
             mbButtonText="{{'partnership.pns-contract.label.add' | translate}}"
             (click)='openAddModal()'
             *ngIf="objFunction?.edit"
  ></mb-button>

<!--  <mb-button-->
<!--    mbButtonSize="MEDIUM">-->
<!--    mbButtonAvailableStyle="IMPORT">-->
<!--    mbButtonText="{{'common.upload.upload' | translate}}">-->
<!--  >-->
<!--  </mb-button>-->
</div>

<div class='contract__types'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-search-form-contract-type #searchForm></app-search-form-contract-type>


  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(1)'
          *ngIf="objFunction?.view"
          mbButtonText="{{'partnership.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          *ngIf="objFunction?.view"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class='search__content--group'>
  <mb-table-wrap>
    <div class="headerTableSelect"></div>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</div>

<ng-template #actionTmpl let-contractTypeId='contractTypeId'>
    <div class="btnWrap">
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)='onOpenEdit(contractTypeId)'
                   *ngIf="objFunction?.edit"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.edit' | translate}}"></mb-button>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
                   nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
                   nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
                   (nzOnConfirm)="deleteById(contractTypeId)"
                   *ngIf="objFunction?.delete"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.delete' | translate}}"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
    </div>
</ng-template>
